/*
*
*  $Id: iwidgetscontract.cpp $
*  Ginkgo CADx Project
*
*  Copyright 2008-12 MetaEmotion S.L. All rights reserved.
*  http://ginkgo-cadx.com
*
*  This file is licensed under LGPL v3 license.
*  See License.txt for details
*
*/
#include "iwidgetscontract.h"
GNC::GCS::IWidgetsContract::IWidgetsContract()
{
}

GNC::GCS::IWidgetsContract::~IWidgetsContract()
{
}

void GNC::GCS::IWidgetsContract::GetAllViewers(TViewerList& viewerList)
{
	viewerList.push_back(GetViewerActivo());
}

bool GNC::GCS::IWidgetsContract::Inicializado()
{
	return ( (GetManager() != NULL) && (GetViewerActivo() != NULL) );
}